curl -X GET "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x049d365...&page=1&limit=10" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx"
const params = new URLSearchParams({
walletAddress: "0x049d365...",
page: "1",
limit: "10"
});
const response = await fetch(
`https://api.chipipay.com/v1/transactions/transaction-list?${params}`,
{
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
}
);
const { data, total, totalPages } = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/transactions/transaction-list",
params={
"walletAddress": "0x049d365...",
"page": 1,
"limit": 10
},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
result = response.json()
transactions = result["data"]
{
"data": [
{
"id": "tx_abc123",
"type": "SEND",
"chain": "STARKNET",
"transactionHash": "0x1234567890abcdef...",
"senderAddress": "0x049d365...",
"destinationAddress": "0x0abcdef...",
"token": "USDC",
"tokenAddress": "0x033068F6539f8e6e6b131e6B2B814e6c34A5224bC66947c47DaB9dFeE93b35fb",
"amount": "10500000",
"status": "SUCCESS",
"createdAt": "2025-03-15T10:30:00Z",
"confirmedAt": "2025-03-15T10:31:00Z",
"updatedAt": "2025-03-15T10:31:00Z",
"apiPublicKey": "pk_xxxx"
}
],
"total": 42,
"page": 1,
"limit": 10,
"totalPages": 5
}
Transactions
Get Transaction List
Get paginated transaction history for a wallet
GET
/
transactions
/
transaction-list
curl -X GET "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x049d365...&page=1&limit=10" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx"
const params = new URLSearchParams({
walletAddress: "0x049d365...",
page: "1",
limit: "10"
});
const response = await fetch(
`https://api.chipipay.com/v1/transactions/transaction-list?${params}`,
{
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
}
);
const { data, total, totalPages } = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/transactions/transaction-list",
params={
"walletAddress": "0x049d365...",
"page": 1,
"limit": 10
},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
result = response.json()
transactions = result["data"]
{
"data": [
{
"id": "tx_abc123",
"type": "SEND",
"chain": "STARKNET",
"transactionHash": "0x1234567890abcdef...",
"senderAddress": "0x049d365...",
"destinationAddress": "0x0abcdef...",
"token": "USDC",
"tokenAddress": "0x033068F6539f8e6e6b131e6B2B814e6c34A5224bC66947c47DaB9dFeE93b35fb",
"amount": "10500000",
"status": "SUCCESS",
"createdAt": "2025-03-15T10:30:00Z",
"confirmedAt": "2025-03-15T10:31:00Z",
"updatedAt": "2025-03-15T10:31:00Z",
"apiPublicKey": "pk_xxxx"
}
],
"total": 42,
"page": 1,
"limit": 10,
"totalPages": 5
}
curl -X GET "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x049d365...&page=1&limit=10" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx"
const params = new URLSearchParams({
walletAddress: "0x049d365...",
page: "1",
limit: "10"
});
const response = await fetch(
`https://api.chipipay.com/v1/transactions/transaction-list?${params}`,
{
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
}
);
const { data, total, totalPages } = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/transactions/transaction-list",
params={
"walletAddress": "0x049d365...",
"page": 1,
"limit": 10
},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
result = response.json()
transactions = result["data"]
{
"data": [
{
"id": "tx_abc123",
"type": "SEND",
"chain": "STARKNET",
"transactionHash": "0x1234567890abcdef...",
"senderAddress": "0x049d365...",
"destinationAddress": "0x0abcdef...",
"token": "USDC",
"tokenAddress": "0x033068F6539f8e6e6b131e6B2B814e6c34A5224bC66947c47DaB9dFeE93b35fb",
"amount": "10500000",
"status": "SUCCESS",
"createdAt": "2025-03-15T10:30:00Z",
"confirmedAt": "2025-03-15T10:31:00Z",
"updatedAt": "2025-03-15T10:31:00Z",
"apiPublicKey": "pk_xxxx"
}
],
"total": 42,
"page": 1,
"limit": 10,
"totalPages": 5
}
Date Filtering
You can filter transactions by date usingday, month, and year parameters:
# Get all transactions from March 2025
curl "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x...&month=3&year=2025"
# Get transactions from March 15, 2025
curl "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x...&day=15&month=3&year=2025"
Function Filtering
Filter by contract function name to see specific types of transactions:# Only transfer transactions
curl "...&calledFunction=transfer"
# Only approve transactions
curl "...&calledFunction=approve"
Authorizations
Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls
Your Chipi public API key (pk_xxx)
Query Parameters
The wallet address to get transactions for
Page number (default: 1)
Items per page (default: 10)
Filter by contract function name (e.g., "transfer", "approve")
Filter by day of month (1-31)
Required range:
1 <= x <= 31Filter by month (1-12)
Required range:
1 <= x <= 12Filter by year (e.g., 2025)
Was this page helpful?
⌘I
